RSGP - Feature #2415

[HR] TM to Payroll Kehadiran (Income & Deduction)
11/21/2023 05:50 PM - haykal haykal

Status: QA Test Start date: 11/21/2023
Priority: Normal Due date: 11/29/2023
Assignee: haykal haykal % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Berikut adalah yang telah saya buat di kolom Figure pada tabel PHRPYTMTOPY:

Figure Tarif WageType AttendanceType
C_TunjKehadiranPagi 1300 P

Ket: -Didapat oleh karyawan yg WorkScheduleTypenya SHIFT.

-Didapat oleh karyawan yg memiliki Payroll Class 01, 02, 03, 04, 05
C_TunjKehadiranSiang 1300 S
Ket: -Didapat oleh karyawan yg WorkScheduleTypenya SHIFT.

-Didapat oleh karyawan yg memiliki Payroll Class 01, 02, 03, 04, 05
C_TunjKehadiranMalam 1302 M
Ket: -Didapat oleh karyawan yg WorkScheduleTypenya SHIFT.

-Didapat oleh karyawan yg memiliki Payroll Class 01, 02, 03, 04, 05
C_TunjDinasPagiDokter 2100 DP
Ket: -Didapat oleh karyawan yg WorkScheduleTypenya SHIFT.

-Didapat oleh karyawan yg memiliki Payroll Class 07
C_TunjJagaBiasa 2101 JB
Ket: -Didapat oleh karyawan yg WorkScheduleTypenya SHIFT.

-Didapat oleh karyawan yg memiliki Payroll Class 07

C_Transport (Wage Type: 1400)
Ket: -Didapat setiap karyawan masuk bekerja (dihitung per shift) [Untuk karyawan yg WorkScheduleType nya SHIFT]
-Didapat setiap karyawan masuk bekerja (dihitung per hari) [Untuk karyawan yg WorkScheduleType nya 5D8H & 6D7H]

C_THB (Wage Type: THB) Ket: Tunjangan Hari Besar didapatkan oleh karyawan
yang masuk pada Hari Libur Nasional yang dibayarkan per bulan sesuai dengan tanggal yang dipilih di TM to Payroll. Agar dapat
direkap berapa jumlah hari kehadiran karyawan pada saat Hari Libur Nasional (DayType PHO1)

C_TunjOnCallPagi (Wage Type: 1307)
Ket: Diberikan kepada karyawan apabila dia masuk shift pagi/siang (Attendance Type: P, S) diluar kewajiban (16+6) 22 hari mereka.
(Untuk On Call Pagi, berarti di luar yg 16) [Didapat oleh karyawan yg WorkScheduleType nya SHIFT]

C_TunjOnCallMalam (Wage Type: 1308)
Ket: Diberikan kepada karyawan apabila dia masuk shift malam (Attendance Type: M) diluar kewajiban (16+6) 22 hari mereka.
(Untuk On Call Malam, berarti di luar yg 6) [Didapat oleh karyawan yg WorkScheduleType nya SHIFT]

Untuk penjelasan, 16 + 6 yang dimaksud adalah 16 shift pagi/siang + 6 shift malam. Apabila 16+6 ini sudah terpenuhi, maka shift
selain itu (on call) mendapatkan Tunjangan On Call.

C_TunjJagaBesar (Wage Type: 2102)
Ket: Diberikan kepada Dokter (Payroll Class 07) yang masuk pada Hari Minggu atau Hari Libur Nasional (DayType PHO1).

C_PotShiftPagi/Siang (Wage Type: 3100)

Ket: Potongan ini didapat karyawan apabila dia tidak memenuhi 16 + 6 (bagian 16nya) [Untuk Attendance Type: P, S] dan kuota
cutinya sudah habis/minus (Absence Type: 01). Misal karyawan 15 + 6 dan kuota cutinya sudah habis/minus, maka dia mendapat
potongan ini [Untuk karyawan yg WorkScheduleType: SHIFT]

C_PotShiftMalam (Wage Type: 3101)
Ket: Potongan ini didapat karyawan apabila dia tidak memenuhi 16 + 6 (bagian 6nya) [Untuk Attendance Type: M] dan kuota cutinya
sudah habis/minus (Absence Type: 01). Misal karyawan 16 + 5 dan kuota cutinya sudah habis/minus, maka dia mendapat potongan
ini [Untuk karyawan yg WorkScheduleType: SHIFT]

C_PotTransport (Wage Type: 3102)
Ket: Potongan ini didapat bersamaan dengan Potongan Shift Pagi/Siang (apabila 15+6) dan bersamaan dengan Potongan Shift
Malam (apabila 16+5)

C_PotljinBJT (Wage Type: 3103)
Ket: Potongan ini didapat karyawan apabila karyawan mengambil cuti padahal kuota cutinya sudah habis/minus atau belum jatuh
tempo (Untuk Quota Type 01 & 02) [Berlaku untuk semua karyawan; WorkScheduleType: 5D8H, 6D7H, SHIFT].

C_PotAsrama (Wage Type: 3104)

Ket: Untuk Perawat (Payroll Class 02) yang tinggal di asrama (Facility Type: 15 di Tabel PHRPA0014) mereka wajib menjalani
minimal 4 longshift (PS, SM) diluar 16+6. Apabila tidak memenuhi ketentuan itu, maka mendapat Potongan Asrama (Wage Type
3104). Misalkan dia memenuhi 3 longshift maka dia mendapat 1 x Potongan Asrama, apabila dia hanya memenuhi 2 longshift maka
dia mendapat 2 x Potongan Asrama; dan seterusnya.

C_PotljinDev1 (Wage Type: 3105)

Ket: Ini adalah jenis potongan yg didapat setelah Potongan ljin BJT. Untuk penjelasan lebih lengkapnya dapat dilihat pada redmine
#2448

C_PotljinDev2 (Wage Type: 3106)

Ket: Ini adalah jenis potongan yg didapat setelah Potongan ljin Dev I. Untuk penjelasan lebih lengkapnya dapat dilihat pada redmine
#2448

Ket-ket Lainnya:

1. Izin = 1-3 hari (unplanned) [Absence Type 05 & 06] [Quota Type 01 & 02]
Cuti = Lebih dari 3 hari (planned min. 1 bulan sebelumnya) [Absence Type 01 & 02] [Quota Type 01 & 02]

Sama-sama pakai pengajuan cuti dan sama-sama memotong kuota cuti

2.Skenario: Ada karyawan yang 15 + 7
Maka dia dapat potongan shift pagi/siang dan potongan transport, tapi juga dapat tambahan on call malam

Semua Wage Type yang saya sebutkan diatas ada di PHRPYCU304 kecuali

Transport, On Call Pagi, On Call Malam, Potongan Transport, Potongan ljin BJT, Potongan ljin Dev |, Potongan ljin Dev Il, dan
Potongan Asrama adanya di PHRPYCUS303.

Semua hasil TM to Payroll ini masuknya ke PHRPAQ005 (Additional Payroll).

Untuk contoh skenario yg lebih detail, saya lampirkan di file Excel.

DB: MinovaES_RSGP_Dev (di 1442)
port: http://remote.minovais.com:31144/

Terimakasih,

History

#1 - 11/22/2023 11:47 AM - Kezia Pawitra Yulianti

- Tracker changed from Functional to Feature

- Subject changed from Setting TM to Payroll to Pembuatan TM to Payroll
- Due date set to 11/29/2023

- Status changed from New to Assigned

- Assignee changed from Tri Rizqgiaty to haykal haykal

- Priority changed from Normal to Immediate

Haykal,

- sepertinya msh ada figur lain yg belum di tuliskan deh Sseperti Oncall Pagi, Oncall Malam dll... itu jg ada bbrp jenis khan?

- Oncall itu tolong d buat menjadi attendance type saja biar nanti yg di baca adalah Attendance type masing2 nya untuk di hitung TM to Payroll nya
- Oh iya Haykal, untuk Tunj Kehadiran sebaiknya yg di baca adalah Attendance type saja deh karena khan nanti karyawan absen dgn memilih
attendance typenya. jd tolong d revisi yaa info requirement nya.

Tambahan informasi untuk masing2 figure masih perlu di detailkan, saya contohkan seperti di bawabh ini ya...untuk yg lain nya tolong di lengkapi Ig
detailnya:

-C_THB THB

Ket: Tunjangan Hari Besar didapatkan oleh karyawan yang masuk pada Hari Besar (Hari Libur Nasional) yang di bayarkan per bulan sesuai yanggal
yg dipilih di TM to Payroll. Untuk dapat di rekap brp jumlah hari kehadiran bekerja karyawan saat hari libur nasional (Day Type PHO1 & PHO02).
Execute ke Additional Payroll untuk Number nya sesuai jumlah hari kehadiran.
http://remote.minovais.com:3000/redmine/issues/2448
http://remote.minovais.com:3000/redmine/issues/2448
http://remote.minovais.com:31144/

- C_TunjPengalaman 1221

Ket: Diberikan bagi karyawan yang masa kerjanya diatas 1 tahun. Dengan membaca masa kerja karyawan sesuai tanggal hiring yg ada di
PHRPAOQO015, ter generate tunjangan ini saat bulan ke 13 karyawan untuk di execute ke Regular Payroll dgn end date 9999. Untuk bulan2 selanjutnya
tidak perlu di hitung Ig di TM to Payroll karena sudah ada di regular.

Tolong dilengkapi yg lain nya sesuai informasi requirement masing?2 figure ya

Tks

#2 - 11/27/2023 05:49 PM - haykal haykal

- Description updated

#3 - 11/28/2023 02:37 PM - haykal haykal

- File Detail Contoh Shift RSGP.xIsx added

- Description updated

- Assignee changed from haykal haykal to Tri Rizqgiaty

#4 - 11/28/2023 04:25 PM - Tri Rizqiaty
- Assignee changed from Tri Rizqiaty to haykal haykal

Haykal,

1. Tolong jelasin kode/tipe karyawan yg dapat tunj/potongan.
2. Shift itu daytype/attendacetype? dan kodenya apa?
3. Kode cuti untuk dapat potongan apa?

Tolong didetailin dengan kode2 yg terdaftar ya.

#5 - 11/29/2023 05:54 PM - haykal haykal

- Description updated

#6 - 12/01/2023 06:53 PM - haykal haykal

- File Detail Contoh Shift RSGP.xlsx added

- File deleted (Detail Contoh Shift RSGP.xlIsx)
- Description updated

- Assignee changed from haykal haykal to Tri Rizqiaty

#7 - 12/04/2023 06:11 PM - haykal haykal

- Description updated

#8 - 12/06/2023 02:40 PM - Tri Rizqiaty

- File clipboard-202312061437-mmznb.png added

- File clipboard-202312061438-rlfca.png added

- File clipboard-202312061439-zbanl.png added

- Assignee changed from Tri Rizqiaty to haykal haykal

Tolong ditambahkan settingan sbb:

1. Ditable PHRPYTMTOPY, field WageType tolong disetting sesuai dgn WageType yg akan dihitung, sesuai gambar dibawah
WIN-6PEH5TRPCM...bo.PHRPYTMTOPY +

2. Ditable PCMEPMDCONSUB, daftarkan WageType yg akan disave MD Payroll Data, sesuai gambar dibawah

WIN-6PEH3TRPC...PCMEPMDCONSUB + X |

Column Alias Table Qutp.. Sort Type Sort Order Filter Or... Or. Or. Q
StartDate PHRPYTM.
EndDate PHRPYTM... jika yg mau disimpan amount isi dgn Amount,
Variant PHRPYTM... = 0003 jika yg mau disimpan number isi dgn Number
Figure PHRPYTM...
FieldTarget PHRPYTM... Ascending 1
FieldReference PHRPYTM... v
% StartDa... EndDate  Vari. Figure FieldTarget FieldReference Sequ... Exten.. DLLMame MameS.. Met.. Status Payroll WageType \\{\aq Currency AbsenceQuot:
20160101 99991231 0003  C_TunjkehadiranPagi  AdditionalField1 1 1 0 \
20160101 99991231 0003  C_PotShiftPagiSiang AdditionalField10 0 MinovalS... Minoval... PotSh..| 1 1 3100 MNumber IDR
20160101 99991231 0003 C_PotShiftMalam AdditionalField11 n MingvalS... Minoval... PotSh..[ 1 1 3101 N Number IDR
20160101 99991231 0003  C_PotTransport AdditionalField12 12
20160101 99991231 0003 C_PotljinBJT AdditicnalField13 13
3 20160101 99991231 0003 C_PotAsrama AdditionalField14
20160101 99991231 0003  C_TunjKehadiranSiang  AdditionalField2 tolong lengkapi figure2 lain yg
20160101 99991231 0003 C_TunjkehadiranMalam AdditionalField3 ggzglftﬂjsonr_]qgﬁ?ﬂ?‘ md DEA‘.WO” data’ 1 0
20160101 99991231  DOO3 C_Transpert AdditionalField3 1 0
20160101 99991231 0003 C_TunjOnCallPagi AdditionalFieldd 4 MinovalS... Minoval... Tunj.. 1 1 1307 Number IDR
20160101 99991231 0003  C_TunjOnCallMalam AdditionalField5 5 MinovalS... Minoval... Tunj.. 1 1 1308 Number IDR
20160101 99991231 0003 C_TunjDinasPagiDokter AdditionalField® ] 1 0
20160101 99991231 0003 C_TunjlagaBiasa AdditionalField? 7 1 0
20160101 99991231 0003  C_TunjlagaBesar AdditionalFieldd 8 1 0
20160101 99991231 0003  C_THB AdditicnalFieldd 9 1 0
20160101 99991231 0003  P_Company CompanylD COMPID 5 1 ] 0
< 20160101 99991231 0003 P EmbloveelD EmploveelD EMPID 1 1 0 0 5 A
H 4|5 of23 | b bl b £ Query Changed

Column Alias Table Qutp... Sort Type Sort Order Filter Or... Or... Or... &~

TableName PCMEPM... = 'PHRPAQ00S'

MdSub PCMEPM...

TimeConstraint PCMEPM...

ObijldentityPe... PCMEPM...

4 MNotes

CreateBy PCMEPM...

CreateDate PCMEPM... [ e
TableMame MdSub TimeConstraint ~ ObjldentityPer... MNotes CreateBy CreateDate ChangeBy ChangeDate N
PHRPADDDS 2701 N2 0 LPPOM minovais 20160101010101  minovais 20160101010101
PHRPADD0DS 2702 N2 o IHATEC bintar 2020070100101 bintar 20200701010101
PHRPADDDS 2800 N2 o LFPOM minovais 20160101010101  minovais 20160101010101
PHRPADDDS 2900 N2 o LFPOM minovais 20160101010101  minovais 20160101010101
PHRPADDDS 3010 N2 0 LPPOM minovais 20160101010101  minovais 20160101010101
PHRPADD0DS 3100 N2 0 NULL minovais 20160101010101  minovais 20160101010101
PHRPADDDS EXNA| N2 10101 minovais 20160101010101
PHRPADDDS 3203 N2 daftarin wagetype? yg mau disave di PAS, ditable 101 minovais 20160101010101
PHRPADDDS 3200 M2 PCMEPMDCONSUB 101 minovais 20160101010101
PHRPADD0DS 3201 N2 754 minovais 20170507165754
PHRPADDDS 3202 N2 10101 minovais 20160101010101
PHRPADDOS 4200 N2 NULL minovais 20160101010101  minovais 20160101010101
PHRPADDDS 4300 NULL minovais 20160101010101  minovais 20160101010101
PHRPADD0DS 6000 NULL minovais 20160101010101  minovais 20160101010101

3 PHRPADODS 3000 N2 0 tri 20231206143200  tri 20231206143200
N NULL NULL NULL NULL NULL NULL NULL NULL NULL
v
4 4 |29 of20 | b b b

3. Ditable SDATATABLEFIELD, rubah field DataRef, sesuai figure2 yg didaftarkan
WIN-6PEHSTRPCMH...SDATATABLEFIELD -+ > TNt 2 by emetelin 2o wlale iV} WIN-6PEH5TRPCM...bo.PHRPYTMTOPY SQLQueryl6.5ql - r..._RSGP_Dev (sa (84]) WIN-6PEH5TRPCMH...- dbo.PHRPADDD3

Column Alias Table Outp... Sort Type Sort Order Or.. Or.. Or.. @D
3 TableMame SDATATAB...
FieldName SDATATAB...
Seqhum SDATATAB...
DataRef SDATATAB...
DataType SOATATAB... rubah field DataRef sesuai figure
Length SDATATAB...
Drer CNATATAR v
TableMame FieldMame SegNum Dat: DataType Length Prec Scale TableRef FixedValue SearchFunction  SearchType IsPrimaryKe ™
3 PHRPYTRO800 AdditionalField1 32 BASEBULANAM 0 100 0 0 NULL 0
PHRPYTROB00 AdditionalField10 41 PREVIOUSTAX 0 100 0 0 NULL 0
PHRPYTROB00 AdditionalField11 42 KURS ] 100 0 ] NULL 0
PHRPYTROB00 AdditionalField12 45 HONORCONVE... O 100 0 ] NULL 0
PHRPYTROB00 AdditionalField13 44 THONCRAUDIT O 100 0 ] NULL 0
PHRPYTROB00 AdditionalField14 45 FLAGAUDITOR O 100 0 ] NULL 0
PHRPYTROB00 AdditionalField15 46 CURR ] 100 0 ] NULL 0
PHRPYTROB00 AdditionalField16 47 LEADAUDITOR 0 100 0 ] NULL 0
PHRPYTROB00 AdditionalField17 48 SINGLEAUDIT 0 100 0 0 NULL 0
PHRPYTROB00 AdditionalField18 50 TOTALHONOR 0 100 0 0 NULL 0
PHRPYTROB00 AdditionalField19 49 GHC 0 100 0 0 NULL 0
PHRPYTROS00 AdditionalField2 33 TOTALALPHA 0 100 0 0 NULL 0
PHRPYTROB00 AdditionalField3 34 TOTALMOATTE... 0 100 0 ] NULL 0
PHRPYTROB00 AdditionalFieldd 35 POTALPHA ] 100 0 ] NULL 0
PHRPYTROB00 AdditionalField5 36 TOTALHARIAUDIT O 100 0 ] NULL 0
PHRPYTROB00 AdditionalFieldé 37 AREAAUDIT ] 100 0 ] NULL 0 v
< >
1 of 34 [ b M b
Thanks

#9 - 12/07/2023 10:28 AM - haykal haykal
- Assignee changed from haykal haykal to Tri Rizqgiaty

Sudah saya setting Mbak sesuai permintaan

#10 - 12/07/2023 12:08 PM - haykal haykal

- Description updated

#11 - 12/08/2023 03:05 PM - Tri Rizqiaty

- File clipboard-202312081504-7Ipei.png added

- File clipboard-202312081504-wnu0i.png added

- File clipboard-202312081504-cfp3u.png added

- Assignee changed from Tri Rizqiaty to haykal haykal

Haykal,

1. Untuk potongan THB, apakah berlaku untuk semua karyawan?

C_THB (Wage Type: THB)
Ket: Tunjangan Hari Besar didapatkan cleh karyawan yang masuk pada Hari Besar (Hari Libur Nasional) yang dibayarkan per bulan sesuai dengan tanggal yang dipilih di TM to Payroll.
Agar dapat direkap berapa jumlah hari kehadiran karyawan pada saat Hari Libur Nasional (DayType PHO1 & PHOZ)

2. Untuk Tunjangan Jaga Besar, apabila hari sabtu libur (OFF) & DayType PHO02, ikut terhitung?

C_TunjlagaBesar (Wage Type: 2102)
Ket: Diberikan kepada Dokter (Payroll Class 07) yang masuk pada Hari Minggu atau Hari Libur Nasional (DayType PHOL).

3. Untuk Potongan Asrama, "longshift" itu apa? Ada diambil dari masterdata apa? atau tolong dibuatkan contoh data diaplikasi, kalau bisa ada
perhitungan diexcelnya juga.

C_PotAsrama (Wage Type: 2104)

Ket: Untuk Perawat (Payroll Class 02) yang tinggal di asrama (Facility Type: 15 di Tabel PHRPADO14) mereka wajib menjalani minimal 4 longshift (PS5, SM). Apabila tidak memenuhi
ketentuan itu, maka mendapat Potongan Asrama (Wage Type 3104). Misalkan dia memenuhi 3 longshift maka dia mendapat 1 x Potongan Asrama, apabila dia hanya memenuhi 2
longshift maka dia mendapat 2 x Potongan Asrama; dan seterusnya.

4. Untuk Tunjangan Kehadiran Siang, Pagi, Malam, jika diambil dari table PHRPA0019, AttendanceType apa yg diambil?
5. Untuk Tunjangan DinasPagiDokter, jika diambil dari table PHRPA0019, AttendanceType apa yg diambil?
6. Untuk Tunjangan Jaga Bisa, jika diambil dari table PHRPA0019, AttendanceType apa yg diambil?

Notes : tolong buatkan contoh2 datanya di aplikasi untuk semuanya.

#12 - 12/08/2023 05:58 PM - haykal haykal
- Assignee changed from haykal haykal to Tri Rizqiaty

1. lya, berlaku untuk semua karyawan.
2. Untuk Tunjangan Jaga Besar berlaku untuk hari Minggu dan DayType PHO1 & PH02

3. Yang dimaksud longshift disini adalah:
-Apabila dalam 1 hari karyawan masuk shift pagi (Attendance Type: P) lalu langsung dilanjutkan dengan shift siang (Attendance Type: S) atau
-Apabila dalam 1 hari karyawan masuk shift siang (Attendance Type: S) lalu langsung dilanjutkan dengan shift malam (Attendance Type: M)

4. -Tunjangan Kehadiran Pagi (Attendance Type: P)
-Tunjangan Kehadiran Siang (Attendance Type: S)
-Tunjangan Kehadiran Malam (Attendance Type: M)

5. Tunjangan Dinas Pagi Dokter (Attendance Type: DP)
6. Tunjangan Jaga Biasa (Attendance Type: JB)

Notes: Sudah disiapkan beberapa karyawan yg sudah dibuatkan data Attendance dan Personal Work Schedulenya untk ditesting.

Berikut adalah EmployeelD dari beberapa karyawan tersebut:
-00000022 (SHIFT)

-00000023 (SHIFT)
-00000085 (SHIFT)
-00000100 (SHIFT)
-00000128 (SHIFT)
-00000173 (5D8H)
-00000353 (6D7H)

#13 - 12/12/2023 06:32 PM - haykal haykal

- Description updated

#14 - 12/13/2023 10:18 AM - haykal haykal

- File Contoh ketentuan karyawan asrama.xlsx added

#15 - 12/13/2023 03:27 PM - Kezia Pawitra Yulianti
- Subject changed from Pembuatan TM to Payroll to [HR] TM to Payroll Kehadiran (Income & Deduction)

#16 - 12/13/2023 04:38 PM - haykal haykal

- Description updated

#17 - 12/15/2023 03:01 PM - haykal haykal

Ingin ada penambahan requirement sebagai berikut:

1. Kolom Attendance yg ada di menu TM to Payroll saat ini (di Result setelah Execute) ingin dimaksudkan agar menghitung jumlah attendance
karyawan dalam satuan hari. (Untuk karyawan yg WorkScheduleType: 5D8H, 6D7H)

2. Saya telah buatkan Figure baru yang bernama C_ShiftAttendance. Figure yang baru ini dimaksudkan untuk menghitung jumlah attendance
karyawan dalam satuan shift. (Untuk karyawan yg WorkScheduleType: SHIFT)

Dan untuk catatan TM to Payroll yg belum berjalan adalah sebagai berikut:

-Tunjangan Kehadiran Pagi

-Tunjangan Kehadiran Siang

-Tunjangan Kehadiran Malam

Terima Kasih Mbak Yomma.

#18 - 12/18/2023 12:04 PM - haykal haykal

Button "Save to Payroll/TM" di menu TM to Payroll tampaknya belum berfungsi.

Ini diperlukan karena ingin agar hasil execute TM to Payroll nya masuk ke data Additional Payroll karyawan.
Tolong agar ini dapat diperbaiki. Terima kasih.

#19 - 01/03/2024 01:51 PM - Tri Rizqiaty

- Status changed from Assigned to QA Test
- Assignee changed from Tri Rizqiaty to haykal haykal

Tolong ditest ya
#20 - 01/18/2024 04:25 PM - haykal haykal
Terdapat WSType baru yaitu 2SHIFT.

Yg punya WorkScheduleType ini adalah Karyawan Non-Shift (25 hari kerja) yang punya shift P atau S.

Untuk figurenya kurang lebih sama dengan karyawan shift yaitu C_TunjKehadiranPagiSiang dan C_Transport.
Namun bedanya adalah karyawan Non-Shift dengan WSType 2SHIFT ini baru mendapatkan Tunjangan Shift dan Tunjangan Transport apabila
kehadirannya dalam satu bulan melebih 25 hari kerja. Jadi lebihannya yang dihitung dalam TM to Payroll (yang dihitung kehadiran shiftnya).

Terima kasih.

#21 - 01/26/2024 10:48 AM - haykal haykal

Ada perubahan ketentuan bagi karyawan yang tinggal di asrama (Yang memiliki Facility Type 15), seperti yang telah kita ketahui bahwa karyawan
yang tinggal di asrama wajib menjalani 4 longshift (4 PS) dalam sebulan agar tidak mendapatkan Potongan Asrama.

Nah apabila dia menjalani 4 PS (4 kali menjalani shift pagi dan shift siang dalam hari yang sama), maka dia tidak mendapat Potongan Asrama.
Namun Tunjangan Kehadiran Pagi/Siang dari 4 PS (sebanyak 4) tersebut tidak terhitung.

Jadi contoh misalkan Employee 00000049 di hasil TM to Payroll dia mendapat Tunjangan Kehadiran Pagi/Siang sebanyak 10 dan juga dia telah
menjalankan 4 longshift PS. Maka hasil TM to Payroll tersebut salah. Harusnya apabila dia telah menjalani 4 longshift PS maka Tunjangan Kehadiran
Pagi/Siang yang dia dapatkan harusnya 6 saja.

Jadi intinya jumlah longshift PS yang dia jalankan menjadi pengurang jumlah Tunjangan Kehadiran Pagi/Siang (bersamaan dengan Tunj On Call Pagi
dan Tunj Transport) yang dia dapatkan.

Terima kasih.
#22 - 01/26/2024 10:48 AM - haykal haykal

- Status changed from QA Test to Assigned
- Assignee changed from haykal haykal to Tri Rizqiaty

#23 - 01/29/2024 05:46 PM - haykal haykal

Update 29/01/2024 pukul 17:43 :

TM to Payroll telah saya execute dan muncul tulisan "Execute Success" namun di Result nya hasilnya tidak muncul.
Di TR0800 saya cek juga hasilnya belum muncul.

#24 - 01/30/2024 03:58 PM - Tri Rizqiaty

- File clipboard-202401301558-0irso.png added

- Status changed from Assigned to QA Test
- Assignee changed from Tri Rizqiaty to haykal haykal

StartDate EndDate Variant Fiqure FieldTarget F
20160101 99991231 0003 C_PotlagaBiasa AdditionalField28
20160101 49991231 0003 C_TunjShiftDokter AdditionalField28
MNULL NULL MULL NULL NULL N

Tidak bisa execute karena settingan diatas, tolong diperbaiki, setelah tolong ditest Ig, makasih

#25 - 03/04/2024 02:13 PM - Anonymous

- Description updated

- Status changed from QA Test to Assigned

- Assignee changed from haykal haykal to Tri Rizqiaty

- Priority changed from Immediate to Normal

#26 - 03/05/2024 09:58 AM - Anonymous

- Description updated

#27 - 03/05/2024 03:20 PM - Anonymous

- Description updated
#28 - 03/05/2024 05:50 PM - haykal haykal

- Description updated

- Status changed from Assigned to Revise

Ada tambahan Insentif Hari Besar dengan Figure C_InsentifHB dan Wage Type 1500
Didapat oleh karyawan apabila masuk di Hari Besar (DayType: PH02)

#29 - 03/13/2024 11:11 AM - Tri Rizqiaty

- Status changed from Revise to QA Test

- Assignee changed from Tri Rizqiaty to haykal haykal

Tolong ditest lagi

Files

Detail Contoh Shift RSGP.xIsx 9.91 KB 12/01/2023 haykal haykal
clipboard-202312061437-mmznb.png 124 KB 12/06/2023 Tri Rizqgiaty
clipboard-202312061438-rlfca.png 91.9 KB 12/06/2023 Tri Rizqgiaty
clipboard-202312061439-zbanl.png 92.4 KB 12/06/2023 Tri Rizqiaty
clipboard-202312081504-7Ipei.png 6.93 KB 12/08/2023 Tri Rizqgiaty
clipboard-202312081504-wnu0i.png 3.98 KB 12/08/2023 Tri Rizqgiaty
clipboard-202312081504-cfp3u.png 9.52 KB 12/08/2023 Tri Rizqgiaty
Contoh ketentuan karyawan asrama.xlsx 15.8 KB 12/13/2023 haykal haykal
clipboard-202401301558-0irso.png 7.42 KB 01/30/2024 Tri Rizgiaty

07/01/2025 8/8


http://www.tcpdf.org

